To build cmake use this command 
---------------------------
cmake -S . -B out/build/

to build src and libraries
---------------------------
cd out/build
make

[ 50%] Building CXX object CMakeFiles/hello_world.dir/main.cpp.o
[100%] Linking CXX executable hello_world.exe
[100%] Built target hello_world